<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[24, 16]">
    <div nz-col class="gutter-row" nzLg="24" *ngIf="pubLishCode">
      <label>{{
        'development.promulgate.section.cancelIssue' | translate
        }} {{ pubLishCode }}?</label>
    </div>
    <div nz-col class="gutter-row" nzLg="24"*ngIf="!pubLishCode">
      <label>{{ labelMessage }}</label>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <mb-select
        [mbDataSelects]="listPromulgate"
        mbKeyLabel="name"
        mbKeyValue="id"
        mbLabelText="{{
          'development.promulgate.section.cancelIssueReason' | translate
        }}"
        mbPlaceholder="{{
          'development.promulgate.section.cancelIssueReason' | translate
        }}"
        formControlName="reason"
        [mbType]="
          isSubmitted && form.get('reason')?.errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && !!form.get('reason')?.errors"
        [mbErrors]="form.get('reason')?.errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'development.cancelIssue.validateReason' | translate
          }
        ]"
      >
      </mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="12"></div>
    <div nz-col class="gutter-row" nzLg="24">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbConfig]="{ rows: 4, autoSize: true }"
        formControlName="detail"
        [mbMaxLength]="100"
        mbLabelText="{{
          'development.promulgate.section.cancelIssueDetail' | translate
        }}"
        mbPlaceholderText="{{
          'development.promulgate.section.cancelIssueDetail' | translate
        }}"
        [mbType]="
          isSubmitted && form.get('detail')?.errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && !!form.get('detail')?.errors"
        [mbErrors]="form.get('detail')?.errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'development.cancelIssue.validateDetailReason' | translate
          }
        ]"
      ></mb-input-text>
    </div>
  </div>
</form>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.continue' | translate }}"
    (click)="submit()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>
